%define upstream_name    ProjectBuilder
%define upstream_version 0.16.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Perl module providing multi-OSes continuous packaging
License:    GPL
Group:      System/Packaging
Url:        http://trac.project-builder.org
Source0:    ftp://ftp.project-builder.org/src/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
ProjectBuilder is a perl module providing set of functions to help develop
packages for projects and deal with different Operating systems (Linux
distributions, Solaris, ...).  It implements a Continuous Packaging approach.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir=${RPM_BUILD_ROOT}/ SYSCONFDIR=%{_sysconfdir}/pb CONFDIR=%{_datadir}/pb MANDIR=%{_mandir}
make

%install
%make_install

%check
make test

%files
%doc AUTHORS COPYING ChangeLog INSTALL MYMETA.yml NEWS README
%config(noreplace) %{_sysconfdir}/pb
%config %{_datadir}/pb/*
%{perl_vendorlib}/ProjectBuilder
%{_bindir}/pbdistrocheck
%{_bindir}/pbgetparam
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man5/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.16.1-2.mga9
+ Revision: 1813086
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 bcornec <bcornec> 0.16.1-1.mga8
+ Revision: 1616527
- update to upstream 0.16.1

* Wed May 27 2020 bcornec <bcornec> 0.15.3-2.mga8
+ Revision: 1588196
- Fix incorrect build instructions
- Fix missing conf files in package

* Mon Apr 20 2020 bcornec <bcornec> 0.15.3-1.mga8
+ Revision: 1569979
- Update to upstream 0.15.3

* Fri Feb 14 2020 umeabot <umeabot> 0.14.6-2.mga8
+ Revision: 1519285
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Oct 08 2018 tv <tv> 0.14.6-1.mga7
+ Revision: 1318683
- new release
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.14.1-1.mga6
+ Revision: 1032709
- Rebuild for perl 5.22.2

* Wed Oct 15 2014 umeabot <umeabot> 0.12.2-4.mga5
+ Revision: 744974
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.2-3.mga5
+ Revision: 686065
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.12.2-2.mga4
+ Revision: 523314
- Mageia 4 Mass Rebuild

* Fri Apr 05 2013 guillomovitch <guillomovitch> 0.12.2-1.mga3
+ Revision: 408270
- new version

* Tue Jan 22 2013 fwang <fwang> 0.11.3-3.mga3
+ Revision: 390784
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 0.11.3-2.mga3
+ Revision: 372168
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.11.3-1.mga2
+ Revision: 107376
- update to 0.11.3

* Sun Mar 13 2011 jquelin <jquelin> 0.11.2-1.mga1
+ Revision: 70492
- update to 0.11.2

* Wed Mar 09 2011 jquelin <jquelin> 0.11.1-1.mga1
+ Revision: 67203
- update to 0.11.1

* Thu Jan 20 2011 jquelin <jquelin> 0.9.10-1.mga1
+ Revision: 26881
- mageia rebuild
- imported package perl-ProjectBuilder


* Tue Aug 03 2010 Bruno Cornec <bcornec@mandriva.org> 0.9.10-1mdv2011.0
+ Revision: 565510
- update to upstream 0.9.10

* Tue Jul 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.7.1-1mdv2010.0
+ Revision: 393193
- update to new version 0.9.7.1

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.7-1mdv2010.0
+ Revision: 393000
- update to new version 0.9.7

* Sat Feb 28 2009 Emmanuel Andry <eandry@mandriva.org> 0.9.6-1mdv2009.1
+ Revision: 345871
- fix release

* Sat Feb 28 2009 Emmanuel Andry <eandry@mandriva.org> 0.9.6-1.mdv2009.0
+ Revision: 345858
- import perl-ProjectBuilder


* Thu Feb 19 2009 Bruno Cornec <bruno@project-builder.org> 0.9.6-1
- Updated to 0.9.6
- Add support for addition of repository on the fly at build time with addrepo (Bruno Cornec)
- Fix debian build deps computation and installation (Bruno Cornec)
- Add support for VE using rinse (tested), mock (coded) and chroot (tested), schroot (planned) (Bruno Cornec)
- Improved centos support (Bruno Cornec)
- Differentiate between Scripts for VE and VM with 2 tags (Bruno Cornec)
- Have a working newve, setupve and cms2ve sequence for rinse and centos 4 and 5 at least (Bruno Cornec)
- Remove the external locale dependece to use the one provided by perl (Bruno Cornec)
- Adds GIT support for schroot (Bruno Cornec)
- Adds SOCKS support for all VCS commands by adding a new pbsockscmd option in .pbrc (tested with git access behind proxy) (Bruno Cornec)
- Improve PATH variable on new SuSE distro so that yast2 is found (Bruno Cornec)
- Remove the suffix from the rpm changelog file as per fedora rules (Bruno Cornec)
- Fix a bug in conf file handling when tag is using a '.' which wasn't supported by the regexp (Bruno Cornec)

* Tue Dec 09 2008 Bruno Cornec <bruno@project-builder.org> 0.9.5-1
- Updated to 0.9.5
- pb_get_distro => pb_distro_get for homogeneity (Bruno Cornec)
- pb now uses pb_distro_installdeps in VM/VE setup (Bruno Cornec)
- Adds function pb_distro_installdeps to automatically istall dependencies on distro before building (Bruno Cornec)
- Adds pb_distro_only_deps_needed to compute the packages in a list whose installation is really needed (Bruno Cornec)
- change pb_distro_init interface and add a 6th parameter which is the update CLI to use for that distro (Bruno Cornec)
- Add support for RHAS 2.1 to pb as rhel-2.1 (Bruno Cornec)

* Mon Sep 29 2008 Bruno Cornec <bruno@project-builder.org> 0.9.4-1
- Updated to 0.9.4
- Debian packages are now working - Fix #26 and #33 (Bruno Cornec/Bryan Gartner)
- Add support for specific naming conventions such as perl modules - Fix #32 (Bruno Cornec)
- Add a pb_set_content function (Bruno Cornec)
- Fix CVS export function to also use tags passed in param (Bruno Cornec)

* Thu Aug 07 2008 Bruno Cornec <bruno@project-builder.org> 0.9.3-1
- Updated to 0.9.3
- pb_conf_init introduced to allow projects using pb functions to setup the PBPROJ variable correctly (Bruno Cornec)
- New parameters for pb_system: mayfail and quiet (Bruno Cornec)
- Working patch support added to pb - tested with buffer - Fix #28 (Bruno Cornec)
- all global variables are prefixed with pb (Bruno Cornec)
- Use of pb_display and pb_display_init added (Bruno Cornec)
- announce is now supported in pb (Bruno Cornec)

* Tue May 13 2008 Bruno Cornec <bruno@project-builder.org> 0.9.2-1
- Updated to 0.9.2
- Fix a bug in pb_conf_get_fromfile_if (using last instead of next) (Bruno Cornec)
- Fix #24 error in analysing filteredfiles (Bruno Cornec)
- Fix Ubuntu issue on distribution detection (Bruno Cornec)
- Move the pb_env_init function to a separate module to allow pbinit usage (Bruno Cornec)
- Adds support for a build system conf file under $vmpath/.pbrc or $vepath/.pbrc (Bruno Cornec)

* Fri Apr 25 2008 Bruno Cornec <bruno@project-builder.org> 0.9.1-1
- Updated to 0.9.1
- Creation of this project based on a split of functions from pb to support also dploy.org (Bruno Cornec)
- Documentation of functions (Bruno Cornec)
- Availability of generic syntax functions, tempfile functions, and conf file functions (Bruno Cornec)


